package com.qadeer.seller.controller;

import com.qadeer.seller.model.Seller;
import com.qadeer.seller.service.SellerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/seller")
public class SellerController {

    @Autowired
    private SellerService sellerService;

    @GetMapping("/hello")
    public String hello() {
        return "Hello";
    }

    @PostMapping
    public void createProduct(@RequestBody Seller seller) {
        sellerService.saveProduct(seller);
    }

    @GetMapping("/{id}")
    public Seller getProduct(@PathVariable int id) {
        return sellerService.getProduct(id);
    }
}
