package com.qadeer.seller.service;

import com.qadeer.seller.model.Seller;
import com.qadeer.seller.repository.SellerRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SellerService {

    @Autowired
    private SellerRepository repository;

    public void saveProduct(Seller seller){
        repository.save(seller);
    };

    public Seller getProduct(int id) {
        return repository.findById(id).get();
    }
}
